Kdenlive : Problème d'installation avec Sabayon 5.1 [résolu]

Conversations générales au sujet de Sabayon Linux

Moderator: Moderators

Post Reply
bluedid29
Baby Hen
Posts: 4
Joined: Sun Feb 28, 2010 21:10

Kdenlive : Problème d'installation avec Sabayon 5.1 [résolu]

Post by bluedid29 » Tue Apr 13, 2010 16:02

Bonjour, 8)

Tout d'abord je me présente, je suis musicien et j'utilise Linux au quotidien pour m'enregistrer, créer, arranger, mixer en audio / Midi. Je fais aussi du montage vidéo avec Kdenlive. Ce dernier ne veut pas s'installer; en faisant equo install kdenlive j'ai les messages suivant :
>> !!! Veuillez mettre à jour les paquets critiques suivants:
>> # sys-devel/gcc:4.4
>> !!! Vous devriez les installer dès que possible
>>
>>
>> @@ Calcul des dépendances ...
>> @@ Paquets qui ont besoin d'être installés/mis à jour/rétrogradés: 232
>> @@ Paquets qui ont besoin d'être supprimés: 6
>> @@ Taille du téléchargement: 717.3MB
>> @@ Espace disque utilisé: 737.6MB
>> @@ Vous avez besoin d'au moins: 2203.8MB d'espace libre
>> :: (1/232) >>> sys-libs/zlib-1.2.4
>> ## Le contrôle de somme du paquet correspond: sys-libs:zlib-1.2.4.tbz2
>> : SHA1 correspondances
>> : SHA256 correspondances
>> : SHA512 correspondances
>> :: (2/232) >>> media-libs/libpng-1.2.43
>> ## Le contrôle de somme du paquet correspond: media-libs:libpng-1.2.43.tbz2
>> : SHA1 correspondances
>> : SHA256 correspondances
>> : SHA512 correspondances
>> :: (3/232) >>> sys-devel/gnuconfig-20100122
>> ## Le contrôle de somme du paquet correspond: sys-devel:gnuconfig-20100122.tbz2
>> : SHA1 correspondances
>> : SHA256 correspondances
>> : SHA512 correspondances
>> :: (4/232) >>> app-shells/bash-4.1_p2-r1
>> ## Le contrôle de somme du paquet correspond: app-shells:bash-4.1_p2-r1.tbz2
>> : SHA1 correspondances
>> : SHA256 correspondances
>> : SHA512 correspondances
>> :: (5/232) >>> app-misc/pax-utils-0.2.1
>> ## Le contrôle de somme du paquet correspond: app-misc:pax-utils-0.2.1~0.tbz2
>> : SHA1 correspondances
>> : SHA256 correspondances
>> : SHA512 correspondances
>> :: (6/232) >>> sys-devel/autoconf-wrapper-8
>> ## Le contrôle de somme du paquet correspond: sys-devel:autoconf-wrapper-8~0.tbz2
>> : SHA1 correspondances
>> : SHA256 correspondances
>> : SHA512 correspondances
>> :: (7/232) >>> sys-devel/libperl-5.10.1
>> ## Le contrôle de somme du paquet correspond: sys-devel:libperl-5.10.1.tbz2
>> : SHA1 correspondances
>> : SHA256 correspondances
>> : SHA512 correspondances
>> :: (8/232) >>> dev-lang/perl-5.10.1
>> ## Le contrôle de somme du paquet correspond: dev-lang:perl-5.10.1.tbz2
>> : SHA1 correspondances
>> : SHA256 correspondances
>> : SHA512 correspondances
>> :: (9/232) >>> sys-devel/autoconf-2.65
>> ## Le contrôle de somme du paquet correspond: sys-devel:autoconf-2.65.tbz2
>> : SHA1 correspondances
>> : SHA256 correspondances
>> : SHA512 correspondances
>> :: (10/232) >>> dev-db/sqlite-3.6.23
>> ## Le contrôle de somme du paquet correspond: dev-db:sqlite-3.6.23~0.tbz2
>> : SHA1 correspondances
>> : SHA256 correspondances
>> : SHA512 correspondances
>> :: (11/232) >>> dev-libs/expat-2.0.1-r3
>> ## Le contrôle de somme du paquet correspond: dev-libs:expat-2.0.1-r3.tbz2
>> : SHA1 correspondances
>> : SHA256 correspondances
>> : SHA512 correspondances
>> :: (12/232) >>> sys-devel/gcc-4.4.2
>> ## Téléchargement de l'archive: sys-devel:gcc-4.4.2.tbz2
>> ## ( mirror #1 ) Téléchargement à partir de: na.mirror.garr.it
>> ## ( mirror #1 ) Téléchargement terminé avec succès à partir de: na.mirror.garr.it à 0.0b/seconde
>> ## Checksum does not match. Download attempt #1
>> ## ( mirror #1 ) Téléchargement à partir de: na.mirror.garr.it
>> ## ( mirror #1 ) Téléchargement terminé avec succès à partir de: na.mirror.garr.it à 0.0b/seconde
>> ## Checksum does not match. Download attempt #2
>> ## ( mirror #1 ) Téléchargement à partir de: na.mirror.garr.it
>> ## ( mirror #1 ) Téléchargement terminé avec succès à partir de: na.mirror.garr.it à 0.0b/seconde
>> ## Checksum does not match. Download attempt #3
>> ## ( mirror #1 ) Téléchargement à partir de: na.mirror.garr.it
>> ## ( mirror #1 ) Téléchargement terminé avec succès à partir de: na.mirror.garr.it à 0.0b/seconde
>> ## Checksum does not match. Download attempt #4
>> ## ( mirror #1 ) Téléchargement à partir de: na.mirror.garr.it
>> ## ( mirror #1 ) Téléchargement terminé avec succès à partir de: na.mirror.garr.it à 0.0b/seconde
>> ## Checksum does not match. Download attempt #5
>> ## ( mirror #1 ) Téléchargement à partir de: na.mirror.garr.it
>> ## ( mirror #1 ) Téléchargement terminé avec succès à partir de: na.mirror.garr.it à 0.0b/seconde
>> ## Checksum does not match. Download attempt #6
>> ## ( mirror #1 ) Téléchargement à partir de: na.mirror.garr.it
>> ## ( mirror #1 ) Téléchargement terminé avec succès à partir de: na.mirror.garr.it à 0.0b/seconde
>> ## Cannot fetch package or checksum does not match.
>> ## Try to download latest repositories.
>> ## Une erreur s'est produite. Action annulée.
>> @@ Téléchargement incomplet.
>> @@ Mise en cache complétée.

à noter que j'ai installé la version gcc 4.4.3 (par emerge gcc)

J'ai essayé d'abord d'installer via Entropy mais je ne peux effectuer la mise à jour (blocage), d'ou mes commandes equo, emerge...

Merci pour vos réponses

à bientôt

BlueDid 8)

PS : Cette distribution me semble assez extraordinaire, j'utilisais habituellement Debian / Ubuntu (depuis 4 ans), là je découvre avec plaisir des performances supérieures et une stabilité top, merci aux concepteurs ;)
Last edited by bluedid29 on Sat Apr 17, 2010 13:25, edited 2 times in total.

turquoise
Old Dear Hen
Posts: 719
Joined: Wed Nov 15, 2006 1:14
Location: Abitibi-Témiscamingue!

Re: Kenlive : Problème d'installation avec Sabayon 5.1

Post by turquoise » Tue Apr 13, 2010 20:03

Ok, erreur de checksum pour ce paquet en particulier.. Soit ton téléchargement s'est mal fait, soit il y a effectivement une erreur. Solutions : tu retentes l'expérience pour voir si c'est le téléchargemnt, soit tu attends que le probleme soit corrigé, ou solution 3, passer par emerge, ce que tu as fait. Si kedenlive refuse toujours de s'installer via equo, peut-être passer par portage et emerge pour cette fois et faire un petit equo gentoosync pour s'assurer que les bases de données sont synchronisées.

Petit guide pour usage d'equo et portage
http://www.sabayonmania-forum.com/guide ... -t2700.htm

Et un autre qui explique comment faire cohabiter des paquets installés via equo et portage
http://www.sabayonmania-forum.com/guide ... -t3167.htm
Ma philosophie d'apprentissage : essayer, et si ça casse, essayer de réparer.
My learning philosophy: try it, and if it breaks, try to fix it.
Image

bluedid29
Baby Hen
Posts: 4
Joined: Sun Feb 28, 2010 21:10

Re: Kdenlive : Problème d'installation avec Sabayon 5.1

Post by bluedid29 » Thu Apr 15, 2010 11:33

Merci pour la réponse turquoise

J'ai essayé plusieurs commandes equo et je pense qu'il y a un soucis ! :

par exemple :

sabayon-did-m2nvmdvi did # equo update && equo upgrade && emerge --sync && layman -S
>> Bonjour, je suis le rapporteur de bogues. J'ai le regret de vous informer qu'Equo a crashé. Ce sont des choses qui arrivent...
>> Mais il y a quelque chose que vous pourriez faire pour nous aider à faire d'Equo une meilleure application
>> -- MÊME SI JE NE VEUX PAS QUE VOUS SOUMETTIEZ LE MÊME RAPPORT PLUSIEURS FOIS --
>> Je suis maintenant en train de vous montrer ce qui s'est passé. Ne vous inquiétez pas, je suis là pour vous aider.
Traceback (most recent call last):
File "/usr/bin/equo", line 858, in <module>
main()
File "/usr/bin/equo", line 799, in main
entropyTools.print_exception()
File "/usr/lib/entropy/libraries/entropy/tools.py", line 193, in print_exception
traceback.print_last()
File "/usr/lib/python2.6/traceback.py", line 246, in print_last
print_exception(sys.last_type, sys.last_value, sys.last_traceback,
AttributeError: 'module' object has no attribute 'last_type'
sabayon-did-m2nvmdvi did # equo rescue spmsync
>> J'abandonne. Exécutez equo --help !!!
sabayon-did-m2nvmdvi did #

Curieusement, c'est le troisième ordinateur ou j'installe Sabayon 5.1, ou j'ai fait plus attention pour les commandes et c'est là qu'il y a le plus de soucis en ce qui concerne Kdenlive.

Le premier, c'était plutot du test et j'ai réussi à compiler Kdenlive (avec plusieurs commandes un peu en vrac), même si je continue à avoir pleins d'erreurs (lors de commandes emerge par exemple), le montage vidéo fonctionne très bien :D

Sur le deuxième, j'ai installé le logiciel par la commande equo install kdenlive, j'ai juste un soucis lors de l'affichage (carte graphique Via), doit manquer peut être des codecs...

Donc, là sur le troisième (qui est mon ordi principal assez puissant pour le montage vidéo sans soucis), equo ne fonctionant plus (même en suivant les liens au dessus), j'ai retenté par emerge kdenlive et j'ai un blocage à 58% de compilation avec kdelibs :
[ 58%] Built target knewstuff2
make: *** [all] Erreur 2
* ERROR: kde-base/kdelibs-4.4.2 failed:
* Make failed!

Quoi qu'il en soit, j'ai toujours eu un problème pour mettre à jour par sulfur (sur les 3 ordis)

Merci pour vos réponses, à bientôt

BlueDid 8)
Last edited by bluedid29 on Sat Apr 17, 2010 13:25, edited 1 time in total.

bluedid29
Baby Hen
Posts: 4
Joined: Sun Feb 28, 2010 21:10

Re: Kdenlive : Problème d'installation avec Sabayon 5.1

Post by bluedid29 » Fri Apr 16, 2010 2:18

Cela fonctionne !!!!

Voici comment j'ai pus installer Kdenlive :

Vu que la commande equo ne fonctionnait plus, j'ai fais :
emerge --sync
emerge portage
emerge -av equo
equo sync
equo update
equo upgrade
equo install kdenlive
equo conf update
equo install kdenlive


Curieusement, emerge -av kdenlive bloque toujours (à 58%).

Voilà, même si c'est déconseillé d'utilisé les commandes emerge, cela a permis quand même de réinstaller equo ;)

à bientôt

BlueDid 8)

Post Reply